%global __provides_exclude_from ^%{_libdir}/gnome-connections/
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/gnome-connections/ -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))
%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:    A remote desktop client for the GNOME desktop environment
Name:       gnome-connections
Version:    43.0
Release:    5%{?dist}
License:    GPLv3+
URL:        https://gitlab.gnome.org/gnome/connections
Source0:    https://download.gnome.org/sources/gnome-connections/%{url_ver}/gnome-connections-%{version}.tar.xz

BuildRequires: desktop-file-utils gcc gettext libappstream-glib meson vala
BuildRequires: yelp-tools pkgconfig(freerdp2) pkgconfig(glib-2.0) pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk-vnc-2.0) pkgconfig(gvncpulse-1.0) pkgconfig(libhandy-1) pkgconfig(libsecret-1)
Requires:      hicolor-icon-theme
Provides:      connections = %{version}-%{release} bundled(gtk-frdp)

%description
Connections is a remote desktop client for the GNOME desktop environment.

%prep
%autosetup -p1 -n gnome-connections-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-connections --with-gnome
rm -rf %{buildroot}%{_includedir}/gnome-connections/
rm -rf %{buildroot}%{_libdir}/gnome-connections/girepository-1.0/
rm -rf %{buildroot}%{_libdir}/gnome-connections/pkgconfig/
rm -rf %{buildroot}%{_datadir}/gnome-connections/gir-1.0/
rm -rf %{buildroot}%{_datadir}/gnome-connections/vapi/

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Connections.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Connections.desktop

%files -f gnome-connections.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/gnome-connections
%{_libdir}/gnome-connections/
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_datadir}/metainfo/org.gnome.Connections.appdata.xml
%{_datadir}/mime/packages/org.gnome.Connections.xml

%changelog
* Fri Oct 20 2023 Xiaojie Chen <jackxjchen@tencent.com> - 43.0-5
- Rebuilt for freerdp 2.11.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
